#ifndef BISON_PARSE_H
# define BISON_PARSE_H

#ifndef YYSTYPE
typedef union {
  filename_t     filename;
  int            lineno;
  enum tree_code code;
  long           itype;
  tree           ttype;
} yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif
# define	prec_if	257
# define	p_else	258
# define	prec_import	259
# define	p_uses	260
# define	p_implementation	261
# define	p_constructor	262
# define	p_destructor	263
# define	p_operator	264
# define	p_file	265
# define	p_far	266
# define	p_forward	267
# define	p_inherited	268
# define	p_near	269
# define	p_Addr	270
# define	p_Assigned	271
# define	p_FormatString	272
# define	p_New	273
# define	LEX_ID	274
# define	LEX_BUILTIN_FUNCTION	275
# define	LEX_BUILTIN_FUNCTION_VT	276
# define	LEX_BUILTIN_VARIABLE	277
# define	prec_pointer_char	278
# define	prec_lower_than_error	279
# define	p_and	280
# define	p_array	281
# define	p_begin	282
# define	p_case	283
# define	p_div	284
# define	p_do	285
# define	p_downto	286
# define	p_end	287
# define	p_for	288
# define	p_function	289
# define	p_goto	290
# define	p_if	291
# define	p_in	292
# define	p_label	293
# define	p_mod	294
# define	p_nil	295
# define	p_not	296
# define	p_of	297
# define	p_or	298
# define	p_packed	299
# define	p_procedure	300
# define	p_to	301
# define	p_program	302
# define	p_record	303
# define	p_repeat	304
# define	p_set	305
# define	p_then	306
# define	p_type	307
# define	p_until	308
# define	p_var	309
# define	p_while	310
# define	p_with	311
# define	p_absolute	312
# define	p_abstract	313
# define	p_and_then	314
# define	p_as	315
# define	p_asm	316
# define	p_attribute	317
# define	p_bindable	318
# define	p_const	319
# define	p_external	320
# define	p_finalization	321
# define	p_import	322
# define	p_initialization	323
# define	p_is	324
# define	p_object	325
# define	p_only	326
# define	p_otherwise	327
# define	p_or_else	328
# define	p_pow	329
# define	p_restricted	330
# define	p_shl	331
# define	p_shr	332
# define	p_unit	333
# define	p_value	334
# define	p_virtual	335
# define	p_xor	336
# define	p_asmname	337
# define	p_c	338
# define	p_c_language	339
# define	p_Dispose	340
# define	p_Return	341
# define	LEX_SCHEMA	342
# define	LEX_BUILTIN_PROCEDURE	343
# define	LEX_BUILTIN_PROCEDURE_WRITE	344
# define	LEX_INTCONST	345
# define	LEX_INTCONST_BASE	346
# define	LEX_STRCONST	347
# define	LEX_REALCONST	348
# define	BOGUS	349
# define	LEX_CONST_EQUAL	350
# define	LEX_RPAR	351
# define	LEX_BPPLUS	352
# define	LEX_BPMINUS	353
# define	LEX_RANGE	354
# define	LEX_ELLIPSIS	355
# define	LEX_RENAME	356
# define	LEX_SYMDIFF	357
# define	LEX_ASSIGN	358
# define	LEX_NE	359
# define	LEX_GE	360
# define	LEX_LE	361
# define	LEX_POWER	362
# define	LEX_CEIL_PLUS	363
# define	LEX_CEIL_MINUS	364
# define	LEX_FLOOR_PLUS	365
# define	LEX_FLOOR_MINUS	366
# define	LEX_CEIL_MULT	367
# define	LEX_CEIL_DIV	368
# define	LEX_FLOOR_MULT	369
# define	LEX_FLOOR_DIV	370


extern YYSTYPE yylval;

#endif /* not BISON_PARSE_H */
